import express from 'express'
import { config as loadEnv } from 'dotenv'
import api from './api/api.js'
import { generateDB } from './libs/database/generate.js'
import { dbInit } from './libs/database/init.js'
import { downloadEssentialData } from './libs/download/dowload.js'
import tasks from './libs/database/tasks.js'

loadEnv()

if (process.env.DOWNLOAD_FILES === "true")
    await downloadEssentialData()

dbInit()
generateDB()

const Server = express()
Server.use('/api', api)

Server.listen(process.env.PORT ?? 12345, () => console.log(`Server started and listening on port ${process.env.PORT ?? 12345}.`))
